Skip to main content.
home | support | download

Back to List Archive

Re: [swish-e] building swish-e-2.4.5 using gcc 4

From: Peter Karman <peter(at)not-real.peknet.com>
Date: Thu Jul 09 2009 - 14:52:39 GMT
Judith Retief wrote on 07/09/2009 08:28 AM:
>   I've built swish-e-2.4.5 from the tarball on various slackware and 
> debian versions, typically using gcc 3.x versions. Compilations always 
> went smoothly. Now I'm attempting a build on slackware 12.1.0, which 
> comes with gcc 4.2.3.
>  
>   I get compliation errors when /usr/include/regex.h is included from 
> swish.h, included from search.c
>  
>   Anyone run into this problem? Do you know if it's a problem with my 
> slackware installation, gcc?
>  
>   Any ideas or pointers on where I can start appreciated

what version of glibc do you have installed? I expect it's a header 
mismatch, but can't be sure unless you post the error messages you're 
seeing.

-- 
Peter Karman  .  http://peknet.com/  .  peter(at)not-real.peknet.com
gpg key: 37D2 DAA6 3A13 D415 4295  3A69 448F E556 374A 34D9
_______________________________________________
Users mailing list
Users@lists.swish-e.org
http://lists.swish-e.org/listinfo/users
Received on Thu Jul 9 10:52:40 2009